package ms.itsecteam.warpdrink;

import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.ListView;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import ms.itsecteam.warpdrink.data.User;
import ms.itsecteam.warpdrink.orderList.ListViewAdapter;
import ms.itsecteam.warpdrink.orderList.Order;


public class MainActivity extends ActionBarActivity implements View.OnClickListener{

    private Button btnOneEuro, btnFiftyCent, btnPay, btnCharge;
    private ListView lstOrdered;
    private ListViewAdapter lstAdapter;
    private ArrayList<Double> order;
    private User currentUser;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        getWindow().addFlags(View.SYSTEM_UI_FLAG_LAYOUT_FULLSCREEN);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_main);

        this.btnOneEuro = (Button) findViewById(R.id.btnOneEuro);
        this.btnFiftyCent = (Button) findViewById(R.id.btnFiftyCent);
        this.btnPay = (Button) findViewById(R.id.btnPay);
        this.btnCharge = (Button) findViewById(R.id.btnCharge);

        this.btnOneEuro.setOnClickListener(this);
        this.btnFiftyCent.setOnClickListener(this);
        this.btnPay.setOnClickListener(this);
        this.btnCharge.setOnClickListener(this);

        this.btnOneEuro.setEnabled(false);
        this.btnFiftyCent.setEnabled(false);
        this.btnCharge.setEnabled(false);
        this.btnPay.setEnabled(false);

        this.lstOrdered = (ListView) findViewById(R.id.lstOrdered);
        this.lstAdapter = new ListViewAdapter(this, R.layout.order_list_item, new ArrayList<Order>());
        this.lstOrdered.setAdapter(this.lstAdapter);

     
    }

    public void removeOrderOnClickHandler(View v) {
        Order itemToRemove = (Order)v.getTag();
        this.lstAdapter.remove(itemToRemove);
    }
    @Override
    public void onClick(View v) {
        switch(v.getId()){
            case R.id.btnOneEuro:
                this.lstAdapter.insert(new Order(1.0), this.lstAdapter.getCount());
                break;
            case R.id.btnFiftyCent:
                this.lstAdapter.insert(new Order(0.5), this.lstAdapter.getCount());
                break;
            case R.id.btnCharge:

                break;
            case R.id.btnPay:

                break;
        }
    }
}
